using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("测绘处理记录")]
    public class T_PR_MAP_PROCESS_RECORD : MesEntityBase
    {
        [Description("日期")]
        public DateTime? TIME { get; set; }

        [Description("测绘人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("测绘人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("测绘部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("测绘部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("采掘带开采情况描述")]
        public string DESCRIPTION { get; set; }

        [Description("测绘记录上传")]
        public ICollection<T_PR_MAP_PROCESS_RECORD_FILE> Nav_Files { get; set; }

        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }

        [Description("是否跑批")]
        [EnumName("DisableStatusEnum")]
        public DisableStatusEnum IS_RUN { get; set; }
    }
}
